package com.fp.general.record;

import java.util.Map;

import com.fp.dto.hb.HibernateBean;

/**
 * Clase que representa un registro de 94 bytes en formato nacha
 * @author Jorge Vaca.
 * @version 2.1
 */
public class Record {

    /*
     * Variable que contiene el valor de los campos del registro
     */
    private Map<Integer, FieldData> fieldMap;
    /**
     * Variable que contiene el nombre de la clase
     */
    private HibernateBean hibernateBean;


    /**
     * Metodo que devuelve los campos del registro
     * @return
     */
    public Map<Integer, FieldData> getFieldMap() {
        return fieldMap;
    }

    /**
     * Metodo que asigna los campos del registro
     * @param fieldMap
     */
    public void setFieldMap(Map<Integer, FieldData> fieldMap) {
        this.fieldMap = fieldMap;
    }

    /**
     * Metodo que devuelve la clase que se utilizara para el mapeo de datos
     * @return
     */
    public HibernateBean getHibernateBean() {
        return hibernateBean;
    }

    /**
     * Metodo que asigna la clase para el mapeo de datos
     * @param className
     */
    public void setHibernateBean(String pBeanname) throws Exception{
    	if(pBeanname == null){
    		return;
    	}
    	HibernateBean bean = (HibernateBean)Class.forName(pBeanname).newInstance();
    	HibernateBean bean1 = (HibernateBean)bean.createInstance();
    	hibernateBean = bean1;
    }
    

}
